#!/bin/bash

# Bolt environment variables
HOSTNAME="${PT_dns_hostname}"

# Check if required parameters are provided
if [ -z "$HOSTNAME" ]; then
    echo '{"status": "failure", "message": "Error: dns_hostname parameter must be provided"}'
    exit 1
fi

# Delete DNS A record
nsupdate -k ../../keys/tsig.key << EOF
server ns1.moeny.ai
zone moeny.ai
update delete ${HOSTNAME}.moeny.ai A
send
EOF

# Force zone file update on DNS server
ssh moeny@ns1.moeny.ai "sudo rndc sync moeny.ai"

echo '{"status": "success", "message": "A Record successfully deleted."}'